# Market Tide `GET` `https://api.unusualwhales.com/api/market/market-tide` Market Tide is a proprietary tool that can be viewed from the Market Overview page. The Market Tide chart provides real time data based on a proprietary formula that examines market wide options activity and filters out 'noise'. Date must be the current or a past date. If no date is given, returns data for the current/last market day. Per default data are returned in 1 minute intervals. Use `interval_5m=true` to have this return data in 5 minute intervals instead. For example: - $15,000 in calls transacted at the ask has the effect of increasing the daily net call premium by $15,000. - $10,000 in calls transacted at the bid has the effect of decreasing the daily net call premium by $10,000. The resulting net premium from both of these trades would be $5000 (+ $15,000 - $10,000). Transactions taking place at the mid are not accounted for. In theory: The sentiment in the options market becomes increasingly bullish if: 1. The aggregated CALL PREMIUM is increasing at a faster rate. 2. The aggregated PUT PREMIUM is decreasing at a faster rate. The sentiment in the options market becomes increasingly bearish if: 1. The aggregated CALL PREMIUM is decreasing at a faster rate. 2. The aggregated PUT PREMIUM is increasing at a faster rate. If you are interested in which tickers are influencing the market tide the most you can check [https://api.unusualwhales.com/docs/operations/PublicApi.MarketController.top_net_impact](https://api.unusualwhales.com/docs/operations/PublicApi.MarketController.top_net_impact). If you are looking for a market tide but for specific sectors check out: [https://api.unusualwhales.com/docs/operations/PublicApi.MarketController.sec_indst](https://api.unusualwhales.com/docs/operations/PublicApi.MarketController.sec_indst) For a market tide for ETF holdings check out [https://api.unusualwhales.com/docs/operations/PublicApi.MarketController.etf_tide](https://api.unusualwhales.com/docs/operations/PublicApi.MarketController.etf_tide). For real time streaming market tide data, subscribe to the `market_tide` websocket channel, see [https://api.unusualwhales.com/docs/operations/PublicApi.SocketController.channels](https://api.unusualwhales.com/docs/operations/PublicApi.SocketController.channels). ---- This can be used to build a market overview such as: ![market tide](https://i.imgur.com/tuwTCDc.png) Data goes back to 2022-09-28 ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `date` | Optional Market Date | No | A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date. | | `otm_only` | UseOtmOnly | No | Only include out of the money transactions. | | `interval_5m` | Use5mCandles | No | Return data in 5 minutes intervals. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `net_call_premium` | Market General Net Call Premium | Defined as (call premium ask side) - (call premium bid side). | | `net_put_premium` | Market General Net Put Premium | Defined as (put premium ask side) - (put premium bid side). | | `net_volume` | Market General Net Volume | Defined as (call volume ask side) - (call volume bid side) - ((put volume ask side) - (put volume bid side)). | | `timestamp` | General Tick time | The start time of the tick as a timestamp with timezone. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/market/market-tide" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/market/market-tide", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "date": "2023-09-08", "net_call_premium": "660338.0000", "net_put_premium": "-547564.0000", "net_volume": 23558, "timestamp": "2023-09-08T09:30:00-04:00" }, { "date": "2023-09-08", "net_call_premium": "4907138.0000", "net_put_premium": "-1709539.0000", "net_volume": 64312, "timestamp": "2023-09-08T09:31:00-04:00" }, { "date": "2023-09-08", "net_call_premium": "4839265.0000", "net_put_premium": "-2731793.0000", "net_volume": 80029, "timestamp": "2023-09-08T09:32:00-04:00" } ] } ```